[B027] Clinical trial contact

get
https://connect.patsnap.com/synapse/clinical-trial/contact
Try in Sandbox

Obtain clinical trial contact through clinical trial id or registry number

One of the parameters clinical_trial_id and register_number must be passed

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
clinical_trial_id
string202425a889e52ae802432a8295220e53
Clinical trial id, obtain this through clinical trial search interface
register_number
stringNCT06498986
register number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
central_contact
array[ { "name": "Sa Xiao, PHD", "email": "xiaosa@baili-pharm.com", "phone": "15013238943" } ]
Contact
name
stringXiao Ming, PHD
Name
email
stringxxx@patsnap.com
Email
phone
string15012341234
Phone
register_number
stringNCT06498986
Trial Number
clinical_trial_id
string202425a889e52ae802432a8295220e53
Clinical Trial ID
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "central_contact": [
      {
        "name": "Xiao Ming, PHD",
        "email": "xxx@patsnap.com",
        "phone": 15012341234
      }
    ],
    "register_number": "NCT06498986",
    "clinical_trial_id": "202425a889e52ae802432a8295220e53"
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found